Package org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache

# Class EHCacheProvider

java.lang.Object
org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache.EHCacheProvider

All Implemented Interfaces:
  `ResourceBundleDataCacheProvider`, `ResourceDataCacheProvider`, `ResourceFactoryCacheProvider`

public class EHCacheProvider extends Object implements ResourceDataCacheProvider, ResourceFactoryCacheProvider, ResourceBundleDataCacheProvider
Creation-Date: 13.04.2006, 16:32:20

Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`EHCacheProvider()`

## Method Summary

Modifier and Type
Method
Description
`ResourceBundleDataCache`
`createBundleDataCache()`
`ResourceDataCache`
`createDataCache()`
`ResourceFactoryCache`
`createFactoryCache()`
`static net.sf.ehcache.CacheManager`
`getCacheManager()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EHCacheProvider

public EHCacheProvider()

## Method Details

### getCacheManager

public static net.sf.ehcache.CacheManager getCacheManager() throws net.sf.ehcache.CacheException

Throws:
  `net.sf.ehcache.CacheException`

### createDataCache

public ResourceDataCache createDataCache()

Specified by:
  `createDataCache` in interface `ResourceDataCacheProvider`

### createBundleDataCache

public ResourceBundleDataCache createBundleDataCache()

Specified by:
  `createBundleDataCache` in interface `ResourceBundleDataCacheProvider`

### createFactoryCache

public ResourceFactoryCache createFactoryCache()

Specified by:
  `createFactoryCache` in interface `ResourceFactoryCacheProvider`